Bug 24471 - Chanigin Partitions during install causes failure
Chanigin Partitions during install causes failure
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
low Severity low
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-20 18:48 EST by Rick Duval
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 12:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (635 bytes, text/plain)
2001-01-20 18:49 EST, Rick Duval
no flags Details

  None (edit)
Description Rick Duval 2001-01-20 18:48:11 EST
I have tried this a few times so it is consistent.

INstalling Redhat Pro Server using GUI. Near end size calculated is larger 
than available space on /usr partition. Instll allows user to go back and 
change sizes but when return to end of info gathering to do install the 
following error occurs.

This is from anacdump.txt saved to floppy.

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1468, in 
doInstall
    self.fstab.savePartitions ()
  File "fstab.py", line 221, in savePartitions
    sys.exit(0)
SystemExit: 0

Local variables in innermost frame:
self: <fstab.GuiFstab instance at 8292668>
sys: <module 'sys' (built-in)>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hda'
sS'progressWindow'
p9

<failed>

Any questions let me know.
Comment 1 Rick Duval 2001-01-20 18:49:17 EST
Created attachment 7908 [details]
anacdump.txt
Comment 2 Don McKee 2001-01-25 21:45:28 EST
I had a similar occurence while installing "Florence".
Comment 3 Don McKee 2001-01-25 21:49:56 EST
(where's the darn attachment button...)

Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 19, in
 run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1568, in doInstal
l
    self.fstab.savePartitions ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 223, in savePart
itions
    sys.exit(0)
SystemExit: 0

Local variables in innermost frame:
self: <fstab.GuiFstab instance at 8454838>
sys: <module 'sys' (built-in)>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'640x480'
p4
sS'progressWindow'
p5
(igui
ProgressWindow
(dp6
S'total'
p7
I1006
sS'window'
p8
(igtk
GtkWindow
(dp9
S'_o'
p10

<failed>
Comment 4 Michael Fulbright 2001-01-26 12:35:58 EST
This is fixed in our internal tree. You should be able to reboot and continue
with no problems.
Comment 5 Brock Organ 2001-02-19 14:17:21 EST
verified fix in qa0217.1 tree ... (traceback is gone)

Note You need to log in before you can comment on or make changes to this bug.